org.gradle.nativebinaries

## Interface LibraryBinary

- All Superinterfaces:
    Binary, Buildable, BuildableModelElement, LibraryResolver, Named, NativeBinary
  All Known Subinterfaces:
    SharedLibraryBinary, StaticLibraryBinary

      @Incubating
      public interface LibraryBinary
      extends NativeBinary, LibraryResolver

  A physical representation of a `Library` component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Library` | `getComponent()` The Library that this binary represents.

    - ### Methods inherited from interface org.gradle.nativebinaries.NativeBinary

      `getBuildType, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source`

    - ### Methods inherited from interface org.gradle.language.base.BuildableModelElement

      `builtBy, setLifecycleTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.nativebinaries.LibraryResolver

      `resolve`

- - ### Method Detail

    - #### getComponent

          Library getComponent()

      The Library that this binary represents.
      Specified by:
        `getComponent` in interface `NativeBinary`